from typing import List
from ipaddress import ip_interface
from os.path import join
from datetime import datetime


def unbound_filename(dirname: str,
                     variables: List[str],
                     extension: str) -> List[str]:
    ret = []
    for variable in variables:
        ret.append(join(dirname, f'{variable}{extension}'))
    return ret


def unbound_serial() -> str:
    return datetime.now().strftime('%Y%m%d%H%M%S')
